Subject: Re: bug#45907: [PATCH] Shr memory singularity gif89a

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 19 Jan 2021 18:47:32 +0100

dick <[email-masked]> writes:

> LI> curl
> LI> "https://raw.githubusercontent.com/enphysoft/search-gmail-using-message-id/main/images/lgmid.gif"
> LI> > /tmp/lgmid.gif emacs -Q /tmp/lgmid.gif
>
> This does not reproduce the error because it doesn't hit `shr-put-image` nor
> `insert-image`.  The error that I saw was memory being consumed *without limit*.

You didn't really say what you were seeing.

When doing the test case, I see Emacs grow to 2.6GB, and there it stops,
which is the same I see when doing

./src/emacs -Q -f eww-browse file:///tmp/lgmid.gif

In both cases, my Emacs says that it's stopping the animation because
it's too big (in both Emacs 27 and on the trunk).

In any case, whether the Content-Type is image/* or application/* makes
no difference, of course.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no